rte_flow_item_flex_field(3)

NAME
rte_flow_item_flex_field

SYNOPSIS

#include <rte_flow.h>

  Data Fields

enum rte_flow_item_flex_field_mode field_mode
uint32_t field_size
int32_t field_base
uint32_t offset_base
uint32_t offset_mask
int32_t offset_shift
uint32_t field_id:16
uint32_t reserved:16

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice

Definition at line 2225 of file rte_flow.h.

Field Documentation

  enum rte_flow_item_flex_field_mode field_mode
Defines how match field offset is calculated over the packet.

Definition at line 2227 of file rte_flow.h.

  uint32_t field_size
Field size in bits.

Definition at line 2228 of file rte_flow.h.

  int32_t field_base
Field offset in bits.

Definition at line 2229 of file rte_flow.h.

  uint32_t offset_base
Indirect offset field offset in bits.

Definition at line 2230 of file rte_flow.h.

  uint32_t offset_mask
Indirect offset field bit mask.

Definition at line 2231 of file rte_flow.h.

  int32_t offset_shift
Indirect offset multiply factor.

Definition at line 2232 of file rte_flow.h.

  uint32_t field_id
Device hint, for multiple items in flow.

Definition at line 2233 of file rte_flow.h.

  uint32_t reserved
Reserved field.

Definition at line 2234 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.